X2Go Bug report logs - #1062
duplicate '-p' option in man page

version graph

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: Viorel Tabara <viorel.tabara@infrabit.net>

Date: Sun, 24 Jul 2016 22:05:02 UTC

Severity: normal

Tags: pending

Found in version 0.5.0.3

Fixed in version 0.5.0.4

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1062; Package pyhoca-cli. (Sun, 24 Jul 2016 22:05:03 GMT) (full text, mbox, link).


Acknowledgement sent to Viorel Tabara <viorel.tabara@infrabit.net>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 24 Jul 2016 22:05:03 GMT) (full text, mbox, link).


Message #5 received at maintonly@bugs.x2go.org (full text, mbox, reply):

From: Viorel Tabara <viorel.tabara@infrabit.net>
To: maintonly@bugs.x2go.org
Subject: duplicate '-p' option in man page
Date: Sun, 24 Jul 2016 15:47:37 -0600
Package: pyhoca-cli
Version: 0.5.0.3


The man page lists a '-p' option for '--pack':

       -p, --pack <PACK_METHOD>
              Compression method (see below for possible values).
 
which conflicts with:

       -p, --remote-ssh-port <R_PORT>
              Remote X2Go server's SSH port (default: 22).
 
The '--help' output does *not* show '-p' for '--pack':

   ~ $ pyhoca-cli --help | egrep -- "^  (-p|--pack)"

   -p REMOTE_SSH_PORT, --remote-ssh-port REMOTE_SSH_PORT
   --pack PACK           compression methods (see below for possible values)


Tested on:

   pyhoca-cli-0.5.0.3-2.fc24.noarch


Thank you for an awesome tool!


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1062; Package pyhoca-cli. (Sun, 07 Aug 2016 16:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 07 Aug 2016 16:55:03 GMT) (full text, mbox, link).


Message #10 received at 1062@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1062-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1062@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as pending for release
Date: Sun, 7 Aug 2016 18:51:24 +0200 (CEST)
tag #1062 pending
fixed #1062 0.5.0.4
thanks

Hello,

X2Go issue #1062 (src:pyhoca-cli) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=9428156

The issue will most likely be fixed in src:pyhoca-cli (0.5.0.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 9428156ce19265ad3172fa21cb81a6e075109723
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Sun Aug 7 18:49:11 2016 +0200

    man/man1/pyhoca-cli.1: drop incorrect short option -p as an alias for --pack. Fixes: #1062.
    
    -p is already used as the short option for --remote-ssh-port.

diff --git a/debian/changelog b/debian/changelog
index 66690ae..4469486 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,9 @@ pyhoca-cli (0.5.0.4-0x2go1) UNRELEASED; urgency=medium
 
   [ Mihai Moldovan ]
   * New upstream version (0.5.0.4):
+    - man/man1/pyhoca-cli.1: drop incorrect short option -p as an alias for
+      --pack. Fixes: #1062. -p is already used as the short option for
+      --remote-ssh-port.
   * debian/control:
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 07 Aug 2016 16:55:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.0.4. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 07 Aug 2016 16:55:03 GMT) (full text, mbox, link).


Message sent on to Viorel Tabara <viorel.tabara@infrabit.net>:
Bug#1062. (Sun, 07 Aug 2016 16:55:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1062; Package pyhoca-cli. (Sun, 24 Sep 2017 08:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 24 Sep 2017 08:00:02 GMT) (full text, mbox, link).


Message #22 received at 1062@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1062-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1062@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as closed
Date: Sun, 24 Sep 2017 09:57:24 +0200 (CEST)
close #1062
thanks

Hello,

we are very hopeful that X2Go issue #1062 reported by you
has been resolved in the new release (0.5.0.4) of the
X2Go source project »src:pyhoca-cli«.

You can view the complete changelog entry of src:pyhoca-cli (0.5.0.4)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-cli.

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=e116c404a9f1036f22d97524f850b4c559c4a119;hp=934cf1c930decf5bf34f9e5f41821bde4c1c63af

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-cli.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-cli
Version: 0.5.0.4-0x2go1
Status: RELEASE
Date: Sun, 24 Sep 2017 09:55:15 +0200
Fixes: 1062
Changes:
 pyhoca-cli (0.5.0.4-0x2go1) RELEASED; urgency=medium
 .
   [ Mihai Moldovan ]
   * New upstream version (0.5.0.4):
     - man/man1/pyhoca-cli.1: drop incorrect short option -p as an alias for
       --pack. Fixes: #1062. -p is already used as the short option for
       --remote-ssh-port.
   * debian/control:
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
   * pyhoca-cli.spec:
     - Add support for EPEL5 and (older) SLE versions by using the BuildRoot
       tag.
     - SLE support: add --prefix to setup.py install call. Otherwise, data will
       land in /usr/local/.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 24 Sep 2017 08:00:02 GMT) (full text, mbox, link).


Notification sent to Viorel Tabara <viorel.tabara@infrabit.net>:
Bug acknowledged by developer. (Sun, 24 Sep 2017 08:00:02 GMT) (full text, mbox, link).


Message sent on to Viorel Tabara <viorel.tabara@infrabit.net>:
Bug#1062. (Sun, 24 Sep 2017 08:00:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 23 Oct 2017 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 10 16:28:52 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.